/* Copyright (c) 2011 Peter Troshin
 *  
 *  JAva Bioinformatics Analysis Web Services (JABAWS) @version: 2.0     
 * 
 *  This library is free software; you can redistribute it and/or modify it under the terms of the
 *  Apache License version 2 as published by the Apache Software Foundation
 * 
 *  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the Apache 
 *  License for more details.
 * 
 *  A copy of the license is in apache_license.txt. It is also available here:
 * @see: http://www.apache.org/licenses/LICENSE-2.0.txt
 * 
 * Any republication or derived work distributed in source code form
 * must include this copyright and license notice.
 */
package compbio.runner._impl;

import java.util.List;

import compbio.runner._SkeletalCommandBuilder;

/*
 @see 
 RONN does not accept stdin the file name must be defined as parameter
 It accepts only clear sequence, no FASTA header! 
 It can only analyse ONE sequence per run! (or may be not, but the results gets overriden!)

 */
public class Ronn extends _SkeletalCommandBuilder {

	private static final String command = "/homes/pvtroshin/soft/RONNv3_fasta/Ronn_runner.sh";

	public String getCommand(ExecProvider provider) {
		return command;
	}

	public static String getTestCommand() {
		return command;
	}

	public String getCommandName() {
		return "Ronn";
	}

	private final String workDirectory;

	public Ronn(String workDirectory) {
		this.workDirectory = workDirectory;
	}

	@Override
	public List<String> getCreatedFiles() {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public String getInput() {
		// TODO Auto-generated method stub
		return null;
	}

}
